%define pkgname HTML-SimpleParse
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

name:      perl-HTML-SimpleParse
summary:   HTML::SimpleParse - module for perl (World_Wide_Web_HTML_HTTP_CGI/HTML)
version:   0.12
release:   1.fc4.val
vendor:    Ken Williams
packager:  Valentyn Solomko <val@pere.org.ua>
license:   GPL or Artistic
group:     Development/Perl
url:       http://www.cpan.org/modules/by-module/HTML/
buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
buildarch: noarch
prefix:    %(echo %{_prefix})
source:    HTML-SimpleParse-0.12.tar.gz

%description
A bare-bones but effective HTML parser. Use the HTML::SimpleParse module when
you need to retrieve HTML syntax without building a hierarchical tree of HTML
content, matching tags, verifying contexts and so on.

%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
%{__perl} Build.PL installdirs=vendor
%{__perl} Build
%if %maketest
%{__perl} Build test
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{__perl} Build install destdir=%{buildroot}

cmd=/usr/share/spec-helper/compress_files
[ -x $cmd ] || cmd=/usr/lib/rpm/brp-compress
[ -x $cmd ] && $cmd

# SuSE Linux
if [ -e /etc/SuSE-release -o -e /etc/UnitedLinux-release ]
then
    %{__mkdir_p} %{buildroot}/var/adm/perl-modules
    %{__cat} `find %{buildroot} -name "perllocal.pod"`  \
        | %{__sed} -e s+%{buildroot}++g                 \
        > %{buildroot}/var/adm/perl-modules/%{name}
fi

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%{__perl} -MFile::Find -le '
    find({ wanted => \&wanted, no_chdir => 1}, "%{buildroot}");
    print "%doc  Changes README";
    for my $x (sort @dirs, @files) {
        push @ret, $x unless indirs($x);
        }
    print join "\n", sort @ret;

    sub wanted {
        return if /auto$/;

        local $_ = $File::Find::name;
        my $f = $_; s|^\Q%{buildroot}\E||;
        return unless length;
        return $files[@files] = $_ if -f $f;

        $d = $_;
        /\Q$d\E/ && return for reverse sort @INC;
        $d =~ /\Q$_\E/ && return
            for qw|/etc %_prefix/man %_prefix/bin %_prefix/share|;

        $dirs[@dirs] = $_;
        }

    sub indirs {
        my $x = shift;
        $x =~ /^\Q$_\E\// && $x ne $_ && return 1 for @dirs;
        }
    ' > %filelist

[ -z %filelist ] && {
    echo "ERROR: empty %files listing"
    exit -1
    }

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %filelist
%defattr(-,root,root)

%changelog
* Sat Jun  3 2006 Valentyn Solomko <val@pere.org.ua>
- rebuilt after some corrections

* Wed May 31 2006 Valentyn Solomko <val@pere.org.ua>
- Spec file was autogenerated by cpan2rpm [ver: 2.028]. 
